Skip to content

Suppression List V3

Manage contacts excluded from outbound communication. Supports adding and removing a contact, bulk adding contacts asynchronously, and polling bulk job status.

Poll bulk suppression list contact job status

Request

Security
bearerAuth and apiKeyAuth
Query
processIdstring

Bulk process id

curl -i -X GET \
  'https://developer.sprinklr.com/_mock/apis/sprinklr-v3/suppressionList/bulk/status?processId=string' \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Key: YOUR_API_KEY_HERE'

Responses

Success

Bodyapplication/json
dataobject
errorsArray of objects(Error)
metadataobject(ResponseMetadata)
Response
{ "data": {}, "errors": [ { … } ], "metadata": {} }